## fwupdate 9

=== efi/Makefile ===
default : all

TOPDIR	?= $(shell pwd)/..
include $(TOPDIR)/Make.version
include $(TOPDIR)/Make.defaults

CFLAGS		?= -O0 -g3
BUILDFLAGS	:= $(CFLAGS) -fpic -Werror -Wall -Wextra -fshort-wchar \
	-fno-merge-constants -ffreestanding \
	-fno-stack-protector -fno-stack-check --std=gnu11 -DCONFIG_$(ARCH) \
	-I/usr/include/efi/ -I/usr/include/efi/$(ARCH)/ \
	-iquote$(TOPDIR)/include "-DDEBUGDIR=L\"$(DEBUGDIR)/\""
CCLDFLAGS	?= -nostdlib -Wl,--warn-common \
	-Wl,--no-undefined -Wl,--fatal-warnings \
	-Wl,-shared -Wl,-Bsymbolic -L$(LIBDIR) -L$(GNUEFIDIR) \
	-Wl,--build-id=sha1 -Wl,--hash-style=sysv \
	$(GNUEFIDIR)/crt0-efi-$(ARCH).o
OBJCOPY_GTE224 = $(shell expr `$(OBJCOPY) --version |grep ^"GNU objcopy" | sed 's/^[^0-9]*//g' | cut -f1-2 -d.` \>= 2.24)

FWUP = fwupdate

ifeq ($(ARCH),x86_64)
	FORMAT = --target efi-app-$(ARCH)
	BUILDFLAGS += -mno-mmx -mno-sse -mno-red-zone -nostdinc \
		-maccumulate-outgoing-args -DEFI_FUNCTION_WRAPPER \
		-DGNU_EFI_USE_MS_ABI -I$(shell $(CC) -print-file-name=include)
	FWUP = fwupx64
endif
ifeq ($(ARCH),ia32)
	FORMAT = --target efi-app-$(ARCH)
	BUILDFLAGS += -mno-mmx -mno-sse -mno-red-zone -nostdinc \
		-maccumulate-outgoing-args -m32 \
		-I$(shell $(CC) -print-file-name=include)
	FWUP = fwupia32
endif

ifeq ($(ARCH),aarch64)
	FORMAT = -O binary
	CCLDFLAGS += -Wl,--defsym=EFI_SUBSYSTEM=0xa
	BUILDFLAGS += -ffreestanding -I$(shell $(CC) -print-file-name=include)
	FWUP = fwupaa64
endif

ifeq ($(ARCH),arm)
	FORMAT = -O binary
	CCLDFLAGS += -Wl,--defsym=EFI_SUBSYSTEM=0xa
	BUILDFLAGS += -ffreestanding -I$(shell $(CC) -print-file-name=include)
	FWUP = fwuparm
endif

TARGETS = fakeesrt2.efi fakeesrt.efi dumpesrt.efi $(FWUP).efi mkvar.efi dumpf.efi mkvar2.efi

all : $(TARGETS)

.SECONDARY: $(foreach target,$(TARGETS),$(target).debug $(target).build-id)

$(FWUP).so : fwupdate.so
	ln -f $< $@

$(FWUP).efi : | $(FWUP).so

%.efi.signed : %.efi %.efi.debug %.efi.build-id
	pesign -s -i $< -o $@ --force -c 'Red Hat Test Certificate'

%.efi : %.so
ifneq ($(OBJCOPY_GTE224),1)
	$(error objcopy >= 2.24 is required)
endif
	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym \
		-j .rel* -j .rela* -j .reloc -j .eh_frame \
		$(FORMAT) $^ $@

%.efi.debug : %.so
ifneq ($(OBJCOPY_GTE224),1)
	$(error objcopy >= 2.24 is required)
endif
	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym \
		-j .rel* -j .rela* -j .reloc -j .eh_frame \
		-j .debug* -j .note.gnu.build-id \
		$^ $@

%.efi.build-id : %.so
	$(READELF) -n $^ | grep "Build ID:" | \
		sed -e 's/^.*Build ID: //' -e 's,^\(..\),\1/,' > $@

%.so : %.o
	$(CC) $(CCLDFLAGS) -o $@ $^ -lefi -lgnuefi \
		$(shell $(CC) -print-libgcc-file-name) \
		-T elf_$(ARCH)_efi.lds

%.o : %.c
	$(CC) $(BUILDFLAGS) -c -o $@ $^

clean :
	@rm -vf $(TARGETS) *.o *.so *.efi.signed *.efi *.efi.debug \
		*.efi.build-id

buildiddir = $(dirname $(shell cat $(1).build-id))
define inst =
 $(INSTALL) -d -m 755 $(DESTDIR)$(TARGETDIR)
 $(INSTALL) -m 755 $(1) $(DESTDIR)$(TARGETDIR)$(1)
 $(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGINFO)$(TARGETDIR)
 $(INSTALL) -m 755 $(1).debug $(DESTDIR)$(DEBUGINFO)$(TARGETDIR)/$(1).debug
 $(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGINFO).build-id/$(dir $(shell cat $(1).build-id))
 ln -sf ../../../../..$(TARGETDIR)$(1) $(DESTDIR)$(DEBUGINFO).build-id/$(shell cat $(1).build-id)
 ln -sf ../..$(TARGETDIR)$(1).debug $(DESTDIR)$(DEBUGINFO).build-id/$(shell cat $(1).build-id).debug
endef

install : | check_efidir_error
install : $(FWUP).efi | $(FWUP).efi.debug $(FWUP).efi.build-id
	$(INSTALL) -d -m 755 $(DESTDIR)$(TARGETDIR)/fw/
	$(foreach prog,$^,$(call inst,$(prog)) ; )
	$(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGSOURCE)fwupdate-$(VERSION)/efi
	$(foreach src,$(wildcard *.[chS]),$(INSTALL) -m 644 $(src) $(DESTDIR)$(DEBUGSOURCE)fwupdate-$(VERSION)/efi/$(src) ;)

=== debian/changelog ===
fwupdate (9-2) unstable; urgency=medium

  * Add patch to fix compilation with gcc-7. (Closes: #853409)
  * Update build depends to efivar-31 to fix compilation with gcc-7

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 04 Aug 2017 16:11:35 -0500

fwupdate (9-1) unstable; urgency=medium

  * New upstream version (9)
  * Add patch to fix compilation.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 07 Mar 2017 19:03:07 -0600

=== debian/control ===
Source: fwupdate
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <jared.dominguez@dell.com>, Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, libpopt-dev, libefivar-dev (>= 31), libefiboot-dev (>= 31), gnu-efi (>= 3.0.2), elfutils, libsmbios-dev [amd64 i386]
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/rhinstaller/fwupdate
Vcs-Git: git://anonscm.debian.org/uefi/fwupdate.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/fwupdate.git

Package: libfwup-dev
Section: libdevel
Architecture: amd64 i386 armhf arm64
Multi-Arch: same
Depends: libfwup1 (= ${binary:Version}), ${misc:Depends}, libefivar-dev (>= 0.16)
Description: Development headers for libfwup
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package provides development headers required to use libfwup.

Package: fwupdate
Section: admin
Architecture: amd64 i386 armhf arm64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libfwup1 (= ${binary:Version}), efibootmgr
Description: Tools to manage UEFI firmware updates
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package provides a simple command line interface to perform UEFI 
 firmware updates.

Package: libfwup1
Architecture: amd64 i386 armhf arm64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to manage UEFI firmware updates
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This library is to allow for the simple manipulation of UEFI firmware updates.

## fwupdate 10

=== Makefile ===
default : all

ifneq ($(origin TOPDIR),undefined)
TOP	:= $(abspath $(TOPDIR))
else
TOP	= $(abspath $(shell pwd))
endif

include $(TOP)/Make.defaults
include $(TOP)/Make.rules
include $(TOP)/Make.coverity
SUBDIRS ?= efi linux docs include

all abidw abicheck clean install : | check_efidir_error
	@set -e ; for x in $(SUBDIRS) ; do \
		if [ ! -d $${x} ]; then \
			install -m 0755 -d $${x} ; \
		fi ; \
		$(MAKE) DESTDIR=$(DESTDIR) TOPDIR=$(TOP) VERSION=$(VERSION) \
			LIBDIR=$(LIBDIR) bindir=$(bindir) mandir=$(mandir) \
			-C $$x/ -f $(TOP)/$$x/Makefile $@ ; \
	done

GITTAG = $(shell bash -c "echo $$(($(VERSION) + 1))")

fwupdate.spec : | Makefile
fwupdate.spec : $(TOP)/fwupdate.spec.in
	@sed -e "s,@@VERSION@@,$(VERSION),g" $< > $@

test-archive: abicheck fwupdate.spec
	@rm -rf /tmp/fwupdate-$(GITTAG) /tmp/fwupdate-$(GITTAG)-tmp
	@mkdir -p /tmp/fwupdate-$(GITTAG)-tmp
	@git archive --format=tar $(shell git branch | awk '/^*/ { print $$2 }') | ( cd /tmp/fwupdate-$(GITTAG)-tmp/ ; tar x )
	@git diff | ( cd /tmp/fwupdate-$(GITTAG)-tmp/ ; patch -s -p1 -b -z .gitdiff )
	@mv /tmp/fwupdate-$(GITTAG)-tmp/ /tmp/fwupdate-$(GITTAG)/
	@cp fwupdate.spec /tmp/fwupdate-$(GITTAG)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/fwupdate-$(GITTAG).tar.bz2 fwupdate-$(GITTAG)
	@rm -rf /tmp/fwupdate-$(GITTAG)
	@echo "The archive is in fwupdate-$(GITTAG).tar.bz2"

bumpver:
	@echo VERSION=$(GITTAG) > Make.version
	@git add Make.version
	git commit -m "Bump version to $(GITTAG)" -s

tag:
	git tag -s $(GITTAG) refs/heads/master

archive: abicheck abidw bumpver tag fwupdate.spec
	@rm -rf /tmp/fwupdate-$(GITTAG) /tmp/fwupdate-$(GITTAG)-tmp
	@mkdir -p /tmp/fwupdate-$(GITTAG)-tmp
	@git archive --format=tar $(GITTAG) | ( cd /tmp/fwupdate-$(GITTAG)-tmp/ ; tar x )
	@mv /tmp/fwupdate-$(GITTAG)-tmp/ /tmp/fwupdate-$(GITTAG)/
	@cp fwupdate.spec /tmp/fwupdate-$(GITTAG)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/fwupdate-$(GITTAG).tar.bz2 fwupdate-$(GITTAG)
	@rm -rf /tmp/fwupdate-$(GITTAG)
	@echo "The archive is in fwupdate-$(GITTAG).tar.bz2"

.PHONY: $(SUBDIRS)

=== docs/Makefile ===
ifneq	($(origin TOPDIR),undefined)
TOP     := $(abspath $(TOPDIR))
else
TOP     := $(abspath ..)
endif
VPATH	= $(TOP)/docs

include $(TOP)/Make.defaults

MAN1TARGETS = fwupdate.1
MAN3TARGETS = libfwup.h.3 \
	      libfwup.3 \
	      fwup_supported.3 \
	      fwup_resource_iter_next.3 \
	      fwup_resource_iter_create.3 \
	      fwup_resource_iter_destroy.3 \
	      fwup_set_up_update.3 \
	      fwup_clear_status.3 \
	      fwup_get_guid.3 \
	      fwup_get_fw_version.3 \
	      fwup_get_lowest_supported_version.3 \
	      fwup_get_last_attempt_info.3 \
	      fwup_get_fw_type.3 \
	      fwup_get_ux_capsule_info.3

MANSECTIONS = 1 3

all clean test abidw abicheck :

mandirs :
	$(INSTALL) -d -m 755 $(DESTDIR)$(mandir)/man1/
	$(INSTALL) -d -m 755 $(DESTDIR)$(mandir)/man3/

install : | mandirs
install : | $(foreach x, $(MAN1TARGETS), $(DESTDIR)$(mandir)/man1/$(x))
install : | $(foreach x, $(MAN3TARGETS), $(DESTDIR)$(mandir)/man3/$(x))

$(DESTDIR)$(mandir)/man1/%.1 : | mandirs
$(DESTDIR)$(mandir)/man1/%.1 : %.1
	$(INSTALL) -m 644 $< $@

$(DESTDIR)$(mandir)/man3/%.3 : | mandirs
$(DESTDIR)$(mandir)/man3/%.3 : %.3
	$(INSTALL) -m 644 $< $@

.PHONY: all clean test install mandirs

=== efi/Makefile ===
--- 
+++ 
@@ -1,21 +1,36 @@
 default : all
 
-TOPDIR	?= $(shell pwd)/..
-include $(TOPDIR)/Make.version
-include $(TOPDIR)/Make.defaults
+ifneq	($(origin TOPDIR),undefined)
+TOP     := $(abspath $(TOPDIR))
+else
+TOP     := $(abspath ..)
+endif
+include $(TOP)/Make.defaults
+include $(TOP)/Make.rules
+VPATH	= $(TOP)/efi
 
-CFLAGS		?= -O0 -g3
+CFLAGS	?= -Og -g3 -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 \
+	   -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 \
+	   -grecord-gcc-switches
 BUILDFLAGS	:= $(CFLAGS) -fpic -Werror -Wall -Wextra -fshort-wchar \
 	-fno-merge-constants -ffreestanding \
 	-fno-stack-protector -fno-stack-check --std=gnu11 -DCONFIG_$(ARCH) \
 	-I/usr/include/efi/ -I/usr/include/efi/$(ARCH)/ \
-	-iquote$(TOPDIR)/include "-DDEBUGDIR=L\"$(DEBUGDIR)/\""
+	-iquote$(TOP)/include "-DDEBUGDIR=L\"$(DEBUGDIR)/\""
 CCLDFLAGS	?= -nostdlib -Wl,--warn-common \
 	-Wl,--no-undefined -Wl,--fatal-warnings \
 	-Wl,-shared -Wl,-Bsymbolic -L$(LIBDIR) -L$(GNUEFIDIR) \
 	-Wl,--build-id=sha1 -Wl,--hash-style=sysv \
 	$(GNUEFIDIR)/crt0-efi-$(ARCH).o
-OBJCOPY_GTE224 = $(shell expr `$(OBJCOPY) --version |grep ^"GNU objcopy" | sed 's/^[^0-9]*//g' | cut -f1-2 -d.` \>= 2.24)
+
+define objcopy_version =
+  $(OBJCOPY) --version |
+    sed -e '/^GNU objcopy/! d;
+	    : loop1; s/([^)(]*)//g;   t loop1;
+	    : loop2; s/\[[^][]*\]//g; t loop2;
+	    s/.* \([0-9][0-9]*\.[0-9][0-9]*\).*/\1/;'
+endef
+OBJCOPY_GTE224 := $(shell expr `$(objcopy_version)` \>= 2.24)
 
 FWUP = fwupdate
 
@@ -52,7 +67,12 @@
 
 all : $(TARGETS)
 
-.SECONDARY: $(foreach target,$(TARGETS),$(target).debug $(target).build-id)
+abidw abicheck :
+
+.SECONDARY: $(foreach target,$(TARGETS),$(target).debug \
+					$(target).build-id \
+					$(target).so \
+					)
 
 $(FWUP).so : fwupdate.so
 	ln -f $< $@
@@ -95,20 +115,21 @@
 	@rm -vf $(TARGETS) *.o *.so *.efi.signed *.efi *.efi.debug \
 		*.efi.build-id
 
-buildiddir = $(dirname $(shell cat $(1).build-id))
+buildiddir = $(dir $(shell cat $(1).build-id))
+buildidname = $(notdir $(shell cat $(1).build-id))
 define inst =
- $(INSTALL) -d -m 755 $(DESTDIR)$(TARGETDIR)
- $(INSTALL) -m 755 $(1) $(DESTDIR)$(TARGETDIR)$(1)
- $(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGINFO)$(TARGETDIR)
+ $(INSTALL) -d -m 755 $(DESTDIR)$(TARGETDIR)/
+ $(INSTALL) -m 755 $(1) $(DESTDIR)$(TARGETDIR)/$(1)
+ $(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGINFO)$(TARGETDIR)/
  $(INSTALL) -m 755 $(1).debug $(DESTDIR)$(DEBUGINFO)$(TARGETDIR)/$(1).debug
- $(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGINFO).build-id/$(dir $(shell cat $(1).build-id))
- ln -sf ../../../../..$(TARGETDIR)$(1) $(DESTDIR)$(DEBUGINFO).build-id/$(shell cat $(1).build-id)
- ln -sf ../..$(TARGETDIR)$(1).debug $(DESTDIR)$(DEBUGINFO).build-id/$(shell cat $(1).build-id).debug
+ $(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGINFO)/.build-id/$(buildiddir)
+ ln -sf ../../../../$(TARGETDIR)/$(1) $(DESTDIR)$(DEBUGINFO)/.build-id/$(buildiddir)/$(buildidname)
+ ln -sf ../../$(TARGETDIR)$(1).debug $(DESTDIR)$(DEBUGINFO)/.build-id/$(buildiddir)/$(buildidname).debug
 endef
 
 install : | check_efidir_error
 install : $(FWUP).efi | $(FWUP).efi.debug $(FWUP).efi.build-id
 	$(INSTALL) -d -m 755 $(DESTDIR)$(TARGETDIR)/fw/
 	$(foreach prog,$^,$(call inst,$(prog)) ; )
-	$(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGSOURCE)fwupdate-$(VERSION)/efi
-	$(foreach src,$(wildcard *.[chS]),$(INSTALL) -m 644 $(src) $(DESTDIR)$(DEBUGSOURCE)fwupdate-$(VERSION)/efi/$(src) ;)
+	$(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGSOURCE)/fwupdate-$(VERSION)$(DASHRELEASE)$(DOTARCH)/efi/
+	$(foreach src,$(wildcard *.[chS]),$(INSTALL) -m 644 $(src) $(DESTDIR)$(DEBUGSOURCE)/fwupdate-$(VERSION)$(DASHRELEASE)$(DOTARCH)/efi/$(src) ;)

=== linux/Makefile ===
default : all

ifneq	($(origin TOPDIR),undefined)
TOP     := $(abspath $(TOPDIR))
else
TOP     := $(abspath ..)
endif
include $(TOP)/Make.defaults
include $(TOP)/Make.rules
VPATH	= $(TOP)/linux

LIB_LIBS= pthread
BIN_LIBS= popt pthread
PKLIBS	= efivar efiboot
CFLAGS	?= -g3 -Og -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 \
	   -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 \
	   -grecord-gcc-switches
PJONES	=
BIN_CCLDFLAGS = $(foreach lib,$(BIN_LIBS),-l$(lib)) \
	$(foreach pklib,$(PKLIBS), \
		$(shell $(PKG_CONFIG) --libs-only-l --libs-only-other $(pklib))) \
	$(LDFLAGS) -pie -fPIE -Wl,-z,relro,-z,now -L.
LIB_CCLDFLAGS = $(foreach lib,$(LIB_LIBS),-l$(lib)) \
	$(foreach pklib,$(PKLIBS), \
		$(shell $(PKG_CONFIG) --libs-only-l --libs-only-other $(pklib))) \
	$(LDFLAGS) -shared -fPIC -Wl,-z,relro,-z,now

HAVE_LIBSMBIOS := $(shell $(PKG_CONFIG) --exists libsmbios_c && \
				echo yes || echo no)
ifeq ($(HAVE_LIBSMBIOS),yes)
	PKLIBS += libsmbios_c
	CFLAGS += -DFWUPDATE_HAVE_LIBSMBIOS__
endif
BUILDFLAGS := $(CFLAGS) -Wall -Wextra -Werror -Wno-error=cpp \
	-Wno-unused-result -Wno-unused-function \
	-Wsign-compare -Werror=sign-compare \
	-fshort-wchar --std=gnu11 \
	-DLOCALEDIR=\"$(localedir)\" -D_GNU_SOURCE \
	-DFWUP_EFI_DIR_NAME=\"$(EFIDIR)\"  \
	-DFWUP_ESP_MOUNTPOINT=\"$(ESPMOUNTPOINT)\"  \
	-I include -I $(TOP)/linux/include/ -iquote $(TOP)/include/ \
	$(foreach pklib,$(PKLIBS), $(shell $(PKG_CONFIG) --cflags $(pklib))) \
	$(PJONES)

BINTARGETS=fwupdate
INCTARGETS=include/fwup-version.h $(VPATH)/include/fwup.h
LIBTARGETS=libfwup.so
PCTARGETS=fwup.pc
POTARGETS = fwupdate.po libfwup.po
TARGETS=$(BINTARGETS) $(INCTARGETS) $(foreach x,$(LIBTARGETS),$(x) $(x).1 $(x).1.$(VERSION)) $(PCTARGETS) $(POTARGETS) libfwup.so cleanup.service cleanup

.SUFFIXES:

all : $(TARGETS)

fwupdate : libfwup.so

include-dir :
	if [ ! -d include ]; then \
		$(INSTALL) -d -m 755 include ; \
	fi

libfwup.c : | include/fwup.h
include/fwup.h : | include/fwup-version.h
include/fwup-version.h : | include-dir

abidw : $(patsubst %.so,%.abixml,$(LIBTARGETS))
	git add $^

abicheck : $(patsubst %.so,%.abicheck,$(LIBTARGETS))

% : %.o
	$(CC) $(BUILDFLAGS) -o $@ $(patsubst lib%.so,-l%,$^) $(BIN_CCLDFLAGS)

%.so.1.$(VERSION) : %.o
	$(CC) $(BUILDFLAGS) \
		-Wl,-soname,$(patsubst %.o,%.so.1,$<) \
		-o $@ $^ $(LIB_CCLDFLAGS)

%.so.1 : %.so.1.$(VERSION)
	ln -sf $< $@

%.so : %.so.1.$(VERSION)
	ln -sf $< $@

%.po : %.c
	$(XGETTEXT) -a --package-name=$(patsubst %.po,%,$@) --package-version=$(VERSION) -o $@ $^

%.o : %.c
	$(CC) $(BUILDFLAGS) -fPIC -c -o $@ $^

% : %.in
	sed -e "s,@@VERSION@@,$(VERSION),g" \
		-e "s,@@FWUP_MAJOR_VERSION@@,$(MAJOR_VERSION),g" \
		-e "s,@@FWUP_MINOR_VERSION@@,$(MINOR_VERSION),g" \
		-e "s,@@SHAREDSTATEDIR@@,$(sharedstatedir),g" \
		-e "s,@@ESPMOUNTPOINT@@,$(ESPMOUNTPOINT),g" \
		-e "s,@@EFIDIR@@,$(EFIDIR),g" \
		-e "s,@@LIBDIR@@,$(libdir),g" \
		-e "s,@@LIBEXECDIR@@,$(libexecdir),g" \
		$< > $@

tester : tester.c
	$(CC) -Wall -Werror -ggdb -L. -I./include -I/usr/include/efivar \
		-lefivar -lfwup -o $@ $^

test : tester
	LD_LIBRARY_PATH=$(shell pwd) ./tester

clean :
	@rm -vf $(BINTARGETS) $(LIBTARGETS) $(PCTARGETS) $(POTARGETS) *.o
	@rm -vf libfwup.so*
	@rm -vf cleanup.service cleanup
	@rm -vf include/fwup-version.h

install : check_efidir_error all
	$(INSTALL) -d -m 755 $(DESTDIR)$(libdir)
	$(foreach x, $(LIBTARGETS), $(INSTALL) -m 755 $(x).1.$(VERSION) $(DESTDIR)$(libdir);)
	$(INSTALL) -d -m 755 $(DESTDIR)$(pcdir)
	$(foreach x, $(PCTARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)$(pcdir) ;)
	$(INSTALL) -d -m 755 $(DESTDIR)$(includedir)/
	$(INSTALL) -m 644 $(INCTARGETS) $(DESTDIR)$(includedir)/
	$(INSTALL) -d -m 755 $(DESTDIR)$(localedir)/en/
	$(INSTALL) -m 644 $(POTARGETS) $(DESTDIR)$(localedir)/en/
	$(INSTALL) -d -m 755 $(DESTDIR)$(bindir)/
	$(foreach x, $(BINTARGETS), $(INSTALL) -m 755 $(x) $(DESTDIR)$(bindir);)
	$(foreach x, $(wildcard *.so.1.$(VERSION)), \
		ln -fs $(x) $(patsubst %.so.1.$(VERSION),%.so.1,$(DESTDIR)$(libdir)/$(x)) ;\
		ln -fs $(x) $(patsubst %.so.1.$(VERSION),%.so,$(DESTDIR)$(libdir)/$(x)) ;\
		)
	$(INSTALL) -d -m 755 $(DESTDIR)$(sharedstatedir)/fwupdate/
	$(INSTALL) -d -m 755 $(DESTDIR)$(libexecdir)/fwupdate/
	$(INSTALL) -m 755 cleanup $(DESTDIR)$(libexecdir)/fwupdate/cleanup
	$(INSTALL) -d -m 755 $(DESTDIR)$(libdatadir)/systemd/system
	$(INSTALL) -m 644 cleanup.service \
		$(DESTDIR)$(libdatadir)/systemd/system/fwupdate-cleanup.service
	$(INSTALL) -d -m 755 $(DESTDIR)/usr/share/bash-completion/completions/
	$(INSTALL) -m 755 $(VPATH)/bash-completion \
		$(DESTDIR)/usr/share/bash-completion/completions/fwupdate

=== debian/changelog ===
fwupdate (10-3) unstable; urgency=medium

  [ Steve Mcintyre ]
  * Move git repo from alioth to salsa.d.o

  [ Mario Limonciello ]
  * Build depend on efivar 34-1 to rebuild against new efivar (LP: #1749471)
  * Bump standards version

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 14 Feb 2018 09:57:55 -0600

fwupdate (10-2) unstable; urgency=medium

  * debian/control: Depends on e2fsprogs (Closes: #887290)
  * debian/rules: fix FTCBFS (Closes: #883489)

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 15 Jan 2018 09:59:03 -0600

fwupdate (10-1) unstable; urgency=medium

  * New upstream version (10)
  * Drop all patches, now upstream.
  * State directory moved to /var/lib/ from /var/cache
  * Cleanup /var/cache/fwupdate/ on upgrade
  * Require efivar 32-2 or later to build due to UX capsule work.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 08 Jan 2018 17:33:53 -0600

fwupdate (9-3) unstable; urgency=medium

  * Disable "Linux Firmware Updater" boot entry after installation
    (LP: #1730343)
  * update standards version
  * Turn on hardening flags

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 06 Nov 2017 09:17:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Daniel Jared Dominguez <jared.dominguez@dell.com>, Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
-Build-Depends: debhelper (>= 9.0.0), pkg-config, libpopt-dev, libefivar-dev (>= 31), libefiboot-dev (>= 31), gnu-efi (>= 3.0.2), elfutils, libsmbios-dev [amd64 i386]
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9.0.0), pkg-config, libpopt-dev, libefivar-dev (>= 34), libefiboot-dev (>= 34), gnu-efi (>= 3.0.2), elfutils, libsmbios-dev [amd64 i386]
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://github.com/rhinstaller/fwupdate
-Vcs-Git: git://anonscm.debian.org/uefi/fwupdate.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/fwupdate.git
+Vcs-Git: https://salsa.debian.org/efi-team/fwupdate.git
+Vcs-Browser: https://salsa.debian.org/efi-team/fwupdate
 
 Package: libfwup-dev
 Section: libdevel
@@ -25,7 +25,7 @@
 Section: admin
 Architecture: amd64 i386 armhf arm64
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfwup1 (= ${binary:Version}), efibootmgr
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfwup1 (= ${binary:Version}), efibootmgr, e2fsprogs
 Description: Tools to manage UEFI firmware updates
  fwupdate provides functionality to update system firmware. It has been 
  initially designed to update firmware using UEFI capsule updates, but

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
EFIDIR ?= $(shell dpkg-vendor --query vendor | awk '{ print tolower($$0) }')
PODATE := $(shell dpkg-parsechangelog --show-field Date | xargs -0 date --utc "+%Y-%m-%d %H:%M%z" --date)

SB_PACKAGE :=
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
SB_PACKAGE := 1
deb_version	:= $(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
tar_name	:= fwupdate_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
endif

buildroot	:= debian/tmp


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
			 libexecdir=\$${prefix}lib/ \
			 datadir=/var/cache/ \
			 localedir=/usr/share/locale/ \
			 GNUEFIDIR=\$${prefix}/lib \
			 CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)- \
			 EFIDIR=$(EFIDIR)
	sed 's,#EFIDIR#,$(EFIDIR),' \
		debian/fwupdate.postrm.in > debian/fwupdate.postrm
	sed 's,#EFIDIR#,$(EFIDIR),' \
		debian/fwupdate.postinst.in > debian/fwupdate.postinst

	# This is to satisfy https://wiki.debian.org/ReproducibleBuilds
	sed -i 's,POT-Creation-Date:.*,POT-Creation-Date: $(PODATE)\\n",' \
		linux/libfwup.po
	sed -i 's,POT-Creation-Date:.*,POT-Creation-Date: $(PODATE)\\n",' \
		linux/fwupdate.po

override_dh_auto_install:
	dh_auto_install -- libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
			   libexecdir=\$${prefix}lib/ \
			   datadir=/var/cache/ \
			   localedir=/usr/share/locale/ \
			   GNUEFIDIR=\$${prefix}/lib \
			   CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)- \
			   EFIDIR=$(EFIDIR)
	chmod -x ${buildroot}/boot/efi/EFI/$(EFIDIR)/*.efi
	cp debian/scripts/install.in   ${buildroot}/usr/lib/fwupdate/install
	sed -i 's,#EFIDIR#,$(EFIDIR),' ${buildroot}/usr/lib/fwupdate/install

override_dh_auto_clean:
	dh_auto_clean -- EFIDIR=$(EFIDIR)
ifneq (,$(SB_PACKAGE))
		rm -rf debian/fwupdate-images
endif

override_dh_builddeb:
	dh_builddeb -- -Zxz
ifneq (,$(SB_PACKAGE))
		mkdir -p debian/fwupdate-images/$(deb_version)
		cp efi/fwup*.efi debian/fwupdate-images/$(deb_version)
		echo $(deb_version) \
			> debian/fwupdate-images/$(deb_version)/version
			cd debian/fwupdate-images && tar czvf ../../../$(tar_name) .
			dpkg-distaddfile $(tar_name) raw-uefi -
endif

## fwupdate 12

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,10 @@
 include $(TOP)/Make.defaults
 include $(TOP)/Make.rules
 include $(TOP)/Make.coverity
+include $(TOP)/Make.scan-build
 SUBDIRS ?= efi linux docs include
 
-all abidw abicheck clean install : | check_efidir_error
+all abicheck clean install : | check_efidir_error
 	@set -e ; for x in $(SUBDIRS) ; do \
 		if [ ! -d $${x} ]; then \
 			install -m 0755 -d $${x} ; \
@@ -20,6 +21,10 @@
 			LIBDIR=$(LIBDIR) bindir=$(bindir) mandir=$(mandir) \
 			-C $$x/ -f $(TOP)/$$x/Makefile $@ ; \
 	done
+
+abiupdate :
+	$(MAKE) clean all
+	$(MAKE) -C linux TOPDIR=$(TOP) abiclean abiupdate
 
 GITTAG = $(shell bash -c "echo $$(($(VERSION) + 1))")
 
@@ -46,7 +51,7 @@
 tag:
 	git tag -s $(GITTAG) refs/heads/master
 
-archive: abicheck abidw bumpver tag fwupdate.spec
+archive: abicheck abiupdate bumpver tag fwupdate.spec
 	@rm -rf /tmp/fwupdate-$(GITTAG) /tmp/fwupdate-$(GITTAG)-tmp
 	@mkdir -p /tmp/fwupdate-$(GITTAG)-tmp
 	@git archive --format=tar $(GITTAG) | ( cd /tmp/fwupdate-$(GITTAG)-tmp/ ; tar x )
@@ -56,4 +61,4 @@
 	@rm -rf /tmp/fwupdate-$(GITTAG)
 	@echo "The archive is in fwupdate-$(GITTAG).tar.bz2"
 
-.PHONY: $(SUBDIRS)
+.PHONY: $(SUBDIRS) abiupdate

=== docs/Makefile ===
--- 
+++ 
@@ -14,8 +14,11 @@
 	      fwup_resource_iter_next.3 \
 	      fwup_resource_iter_create.3 \
 	      fwup_resource_iter_destroy.3 \
+	      fwup_resource_free.3 \
 	      fwup_set_up_update.3 \
 	      fwup_clear_status.3 \
+	      fwup_set_guid.3 \
+	      fwup_set_guid_forced.3 \
 	      fwup_get_guid.3 \
 	      fwup_get_fw_version.3 \
 	      fwup_get_lowest_supported_version.3 \
@@ -35,12 +38,10 @@
 install : | $(foreach x, $(MAN1TARGETS), $(DESTDIR)$(mandir)/man1/$(x))
 install : | $(foreach x, $(MAN3TARGETS), $(DESTDIR)$(mandir)/man3/$(x))
 
-$(DESTDIR)$(mandir)/man1/%.1 : | mandirs
-$(DESTDIR)$(mandir)/man1/%.1 : %.1
+$(DESTDIR)$(mandir)/man1/%.1 : %.1 | mandirs
 	$(INSTALL) -m 644 $< $@
 
-$(DESTDIR)$(mandir)/man3/%.3 : | mandirs
-$(DESTDIR)$(mandir)/man3/%.3 : %.3
+$(DESTDIR)$(mandir)/man3/%.3 : %.3 | mandirs
 	$(INSTALL) -m 644 $< $@
 
 .PHONY: all clean test install mandirs

=== efi/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	   -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 \
 	   -grecord-gcc-switches
 BUILDFLAGS	:= $(CFLAGS) -fpic -Werror -Wall -Wextra -fshort-wchar \
+	-Wno-error=missing-field-initializers -Wno-missing-field-initializers \
 	-fno-merge-constants -ffreestanding \
 	-fno-stack-protector -fno-stack-check --std=gnu11 -DCONFIG_$(ARCH) \
 	-I/usr/include/efi/ -I/usr/include/efi/$(ARCH)/ \
@@ -22,6 +23,11 @@
 	-Wl,-shared -Wl,-Bsymbolic -L$(LIBDIR) -L$(GNUEFIDIR) \
 	-Wl,--build-id=sha1 -Wl,--hash-style=sysv \
 	$(GNUEFIDIR)/crt0-efi-$(ARCH).o
+CLANG_BUGS	= $(if $(findstring gcc,$(CC)),-maccumulate-outgoing-args,)
+LIBGCC=$(shell $(CC) -print-libgcc-file-name)
+ifeq ($(ARCH),arm)
+LIBGCC+=" $(shell $(CC) -print-libgcc-file-name | sed 's/\.a$/_eh.a/')"
+endif
 
 define objcopy_version =
   $(OBJCOPY) --version |
@@ -37,14 +43,14 @@
 ifeq ($(ARCH),x86_64)
 	FORMAT = --target efi-app-$(ARCH)
 	BUILDFLAGS += -mno-mmx -mno-sse -mno-red-zone -nostdinc \
-		-maccumulate-outgoing-args -DEFI_FUNCTION_WRAPPER \
+		$(CLANG_BUGS) -DEFI_FUNCTION_WRAPPER \
 		-DGNU_EFI_USE_MS_ABI -I$(shell $(CC) -print-file-name=include)
 	FWUP = fwupx64
 endif
 ifeq ($(ARCH),ia32)
 	FORMAT = --target efi-app-$(ARCH)
 	BUILDFLAGS += -mno-mmx -mno-sse -mno-red-zone -nostdinc \
-		-maccumulate-outgoing-args -m32 \
+		$(CLANG_BUGS) -m32 \
 		-I$(shell $(CC) -print-file-name=include)
 	FWUP = fwupia32
 endif
@@ -105,7 +111,7 @@
 
 %.so : %.o
 	$(CC) $(CCLDFLAGS) -o $@ $^ -lefi -lgnuefi \
-		$(shell $(CC) -print-libgcc-file-name) \
+		$(LIBGCC) \
 		-T elf_$(ARCH)_efi.lds
 
 %.o : %.c

=== include/Makefile ===
ifneq	($(origin TOPDIR),undefined)
TOP     := $(abspath $(TOPDIR))
else
TOP     := $(abspath ..)
endif
include $(TOP)/Make.defaults
include $(TOP)/Make.rules
VPATH	= $(TOP)/include

all clean dep abidw abicheck :

install :
	$(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGSOURCE)/fwupdate-$(VERSION)$(DASHRELEASE)$(DOTARCH)/include
	$(foreach src,$(wildcard *.[chS]),$(INSTALL) -m 644 $(src) $(DESTDIR)$(DEBUGSOURCE)/fwupdate-$(VERSION)$(DASHRELEASE)$(DOTARCH)/include/$(src) ;)

=== linux/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 BUILDFLAGS := $(CFLAGS) -Wall -Wextra -Werror -Wno-error=cpp \
 	-Wno-unused-result -Wno-unused-function \
 	-Wsign-compare -Werror=sign-compare \
+	-Wno-error=missing-field-initializers -Wno-missing-field-initializers \
 	-fshort-wchar --std=gnu11 \
 	-DLOCALEDIR=\"$(localedir)\" -D_GNU_SOURCE \
 	-DFWUP_EFI_DIR_NAME=\"$(EFIDIR)\"  \
@@ -47,7 +48,7 @@
 LIBTARGETS=libfwup.so
 PCTARGETS=fwup.pc
 POTARGETS = fwupdate.po libfwup.po
-TARGETS=$(BINTARGETS) $(INCTARGETS) $(foreach x,$(LIBTARGETS),$(x) $(x).1 $(x).1.$(VERSION)) $(PCTARGETS) $(POTARGETS) libfwup.so cleanup.service cleanup
+TARGETS=$(BINTARGETS) $(INCTARGETS) $(foreach x,$(LIBTARGETS),$(patsubst %.so,%.map,$(x)) $(x).1.$(VERSION) $(x).1 $(x)) $(PCTARGETS) $(POTARGETS) cleanup.service cleanup
 
 .SUFFIXES:
 
@@ -60,22 +61,31 @@
 		$(INSTALL) -d -m 755 include ; \
 	fi
 
+fwupdate.c : | include/fwup.h
 libfwup.c : | include/fwup.h
 include/fwup.h : | include/fwup-version.h
 include/fwup-version.h : | include-dir
 
-abidw : $(patsubst %.so,%.abixml,$(LIBTARGETS))
-	git add $^
+abicheck : | clean $(LIBTARGETS)
+abicheck : $(patsubst %.so,%.abicheck,$(LIBTARGETS))
 
-abicheck : $(patsubst %.so,%.abicheck,$(LIBTARGETS))
+abiclean :
+	@rm -vf $(patsubst %.so,%.abixml,$(LIBTARGETS))
+
+abixml : | $(LIBTARGETS)
+abixml : $(patsubst %.so,%.abixml,$(LIBTARGETS))
+
+abiupdate : abixml
+	git add $(patsubst %.so,%.abixml,$(LIBTARGETS))
 
 % : %.o
 	$(CC) $(BUILDFLAGS) -o $@ $(patsubst lib%.so,-l%,$^) $(BIN_CCLDFLAGS)
 
-%.so.1.$(VERSION) : %.o
+%.so.1.$(VERSION) : %.o | %.map
 	$(CC) $(BUILDFLAGS) \
 		-Wl,-soname,$(patsubst %.o,%.so.1,$<) \
-		-o $@ $^ $(LIB_CCLDFLAGS)
+		-Wl,--version-script=$(patsubst %.o,%.map,$<) \
+		-o $@ $< $(LIB_CCLDFLAGS)
 
 %.so.1 : %.so.1.$(VERSION)
 	ln -sf $< $@
@@ -90,26 +100,29 @@
 	$(CC) $(BUILDFLAGS) -fPIC -c -o $@ $^
 
 % : %.in
-	sed -e "s,@@VERSION@@,$(VERSION),g" \
+	sed -e "s,@@FWUP_VERSION@@,$(VERSION),g" \
 		-e "s,@@FWUP_MAJOR_VERSION@@,$(MAJOR_VERSION),g" \
 		-e "s,@@FWUP_MINOR_VERSION@@,$(MINOR_VERSION),g" \
+		-e "s,@@PREFIX@@,$(prefix),g" \
+		-e "s,@@EXEC_PREFIX@@,$(exec_prefix),g" \
 		-e "s,@@SHAREDSTATEDIR@@,$(sharedstatedir),g" \
 		-e "s,@@ESPMOUNTPOINT@@,$(ESPMOUNTPOINT),g" \
 		-e "s,@@EFIDIR@@,$(EFIDIR),g" \
 		-e "s,@@LIBDIR@@,$(libdir),g" \
 		-e "s,@@LIBEXECDIR@@,$(libexecdir),g" \
+		-e "s,@@INCLUDEDIR@@,$(includedir),g" \
 		$< > $@
 
 tester : tester.c
-	$(CC) -Wall -Werror -ggdb -L. -I./include -I/usr/include/efivar \
-		-lefivar -lfwup -o $@ $^
+	$(CC) -Wall -Werror -ggdb -L. -I./include $(shell $(PKG_CONFIG) --cflags efivar) \
+		$(shell $(PKG_CONFIG) --libs efivar) -lfwup -o $@ $^
 
 test : tester
 	LD_LIBRARY_PATH=$(shell pwd) ./tester
 
 clean :
 	@rm -vf $(BINTARGETS) $(LIBTARGETS) $(PCTARGETS) $(POTARGETS) *.o
-	@rm -vf libfwup.so*
+	@rm -vf libfwup.so* *.map
 	@rm -vf cleanup.service cleanup
 	@rm -vf include/fwup-version.h
 
@@ -134,6 +147,6 @@
 	$(INSTALL) -d -m 755 $(DESTDIR)$(libdatadir)/systemd/system
 	$(INSTALL) -m 644 cleanup.service \
 		$(DESTDIR)$(libdatadir)/systemd/system/fwupdate-cleanup.service
-	$(INSTALL) -d -m 755 $(DESTDIR)/usr/share/bash-completion/completions/
+	$(INSTALL) -d -m 755 $(DESTDIR)$(datadir)/bash-completion/completions/
 	$(INSTALL) -m 755 $(VPATH)/bash-completion \
-		$(DESTDIR)/usr/share/bash-completion/completions/fwupdate
+		$(DESTDIR)$(datadir)/bash-completion/completions/fwupdate

=== debian/changelog ===
fwupdate (12-7~ubuntu18.04.3) bionic; urgency=medium

  * control: Drop Breaks on libfwup{1,-dev}. (LP: #1820768)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Dec 2019 19:33:29 +0200

fwupdate (12-7~ubuntu18.04.2) bionic; urgency=medium

  * preinst: Be more thorough when cleaning old files from fwupdate-signed.
  * control: Add fwupdate-signed as a transitional package and drop it from
    fwupdate Breaks. (LP: #1820768)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Dec 2019 10:46:26 +0200

fwupdate (12-7~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic for migration to fwupd. (LP: #1820768)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 25 Oct 2019 11:27:56 +0300

fwupdate (12-7) unstable; urgency=medium

  * Add a preinst script to clean up extra file from usage. (Closes: #939604)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 06 Sep 2019 17:20:42 -0500

fwupdate (12-6) unstable; urgency=medium

  * Convert package into a transition package (Closes: #925688)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 04 Sep 2019 11:54:50 -0500

fwupdate (12-5) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add Built-Using for the fwupdate-*-signed packages. Closes: #932756

 -- Steve McIntyre <93sam@debian.org>  Mon, 22 Jul 2019 17:31:50 -0300

fwupdate (12-4) unstable; urgency=medium

  [ Steve McIntyre ]
  * debian/gen_signing_json: Update the format of the json metadata to
    match new requirements:
    + Move all the data under a new top-level "packages" key
    + Add an empty "trusted_certs" key - our binaries do not do any
      further verification with an embedded key.

  [ Mario Limonciello ]
  * Install signed packages for secure boot automatically
  * Use a virtual package fwupdate-signed to resolve the correct package
  * Stop producing UEFI archive for Ubuntu signed images (LP: #1787254)

 -- Steve McIntyre <93sam@debian.org>  Mon, 25 Mar 2019 00:47:29 +0000

fwupdate (12-3) unstable; urgency=medium

  * debian/rules: fix libexecdir location (Closes: #905549)

 -- Mario Limonciello <mario.limonciello@dell.com>  Sun, 05 Aug 2018 23:08:34 -0500

fwupdate (12-2) unstable; urgency=medium

  * Bring in a patch from PR https://github.com/rhboot/fwupdate/pull/121
    to resolve FTBFS on armhf.

 -- Mario Limonciello <mario.limonciello@dell.com>  Sat, 04 Aug 2018 23:13:11 -0500

fwupdate (12-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (12)
  * debian/rules:
    - Fix a copy error

  [ Steve Mcintyre ]
  * Initial support for UEFI Secure Boot in Debian infrastructure
    + When building, also generate a fwupdate-$ARCH-signed-template package
      which contains metadata needed by the Debian signing service. This
      will end up being turned into a new source package including a signed
      version of the fwupdate binary.
  * Switch to using dpkg-parsechangelog --show-field in various places -
    don't need sed any more.

  [ Mario Limonciello ]

 -- Steve McIntyre <93sam@debian.org>  Sun, 08 Apr 2018 11:50:28 +0100

=== debian/control ===
Source: fwupdate
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <jared.dominguez@dell.com>, Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/rhinstaller/fwupdate
Vcs-Git: https://salsa.debian.org/efi-team/fwupdate.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupdate

Package: fwupdate
Section: admin
Architecture: amd64 i386 armhf arm64
Breaks: fwupdate-amd64-signed-template (<< 12-5),
        fwupdate-i386-signed-template (<< 12-5),
        fwupdate-armhf-signed-template (<< 12-5),
        fwupdate-arm64-signed-template (<< 12-5),
Depends: fwupd
Description: Transitional package for fwupd
 This is a transitional package to move users of fwupdate 12-5 or earlier to fuwpd.

Package: fwupdate-signed
Section: oldlibs
Architecture: amd64 i386 armhf arm64
Depends: fwupd-signed
Description: Transitional package for fwupd
 This is a transitional package to move users of fwupdate-signed to
 fuwpd-signed.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	echo "NO-OP"

override_dh_auto_install:
	echo "NO OP"

override_dh_auto_clean:
	echo "NO OP"
